.menu-btn {
  position: absolute;
  z-index: 3;
  right: 35px;
  top: 35px;
  cursor: pointer;
  transition: all 0.5s ease-out; }
  .menu-btn:hover .btn-line {
    background: #eccd1f;
    transition: all 0.5s ease-out; }
  .menu-btn .btn-line {
    width: 28px;
    height: 4px;
    margin: 0 0 5px 0;
    background: #fff;
    transition: all 0.5s ease-out; }
  .menu-btn.close {
    transform: rotate(180deg); }
    .menu-btn.close .btn-line:nth-child(1) {
      transform: rotate(45deg) translate(6px, 6px); }
    .menu-btn.close .btn-line:nth-child(2) {
      display: none;
      visibility: hidden; }
    .menu-btn.close .btn-line:nth-child(3) {
      transform: rotate(-45deg); }

.menu {
  position: fixed;
  top: 0;
  width: 100%;
  opacity: 0.9;
  visibility: hidden; }
  .menu.show {
    visibility: visible; }
  .menu-branding, .menu-nav {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    float: left;
    width: 50%;
    height: 100vh;
    overflow: hidden;
    transition: all 0.5s ease-out; }
  .menu-nav {
    margin: 0;
    padding: 0;
    list-style: none;
    background: #373737;
    transform: translate3d(0, -100%, 0); }
    .menu-nav.show {
      transform: translate3d(0, 0, 0); }
  .menu-branding {
    transform: translate3d(0, 100%, 0);
    background: #444444; }
    .menu-branding.show {
      transform: translate3d(0, 0, 0); }
    .menu-branding .portrait {
      width: 250px;
      height: 250px;
      background: url(../img/evc.png) no-repeat;
      border-radius: 50%;
      border: solid 3px #eccd1f; }
  .menu .nav-item {
    cursor: pointer;
    transform: translate3d(600px, 0, 0);
    transition: all 0.5s ease-out; }
    .menu .nav-item.show {
      transform: translate3d(0, 0, 0); }
    .menu .nav-item.current > button {
      color: #eccd1f; }
  .menu .nav-link {
    display: inline-block;
    position: relative;
    font-size: 2rem;
    text-transform: uppercase;
    padding: 1rem 0;
    font-weight: 300;
    color: #fff;
    background: none;
    border: none;
    cursor: pointer;
    font-family: "Source Code Pro", monospace;
    transition: all 0.5s ease-out; }

html {
  font-size: 16px; }

* {
  box-sizing: border-box; }

body {
  background: #444444;
  color: #fff;
  height: 100%;
  margin: 0;
  font-family: "Source Code Pro", monospace;
  line-height: 1.5;
  min-height: calc(100vh - 60px); }
  body#bg-img {
    background: url(../img/background.PNG);
    background-attachment: fixed;
    background-size: cover; }
    body#bg-img:after {
      content: "";
      position: fixed;
      top: 0;
      right: 0;
      width: 100%;
      height: 100%;
      background: rgba(68, 68, 68, 0.9);
      z-index: -1; }

h1,
h2,
h3 {
  margin: 0;
  font-weight: bold;
  text-shadow: 0 0 5px #000; }
  h1.lg-heading,
  h2.lg-heading,
  h3.lg-heading {
    font-size: 4rem; }
  h1.sm-heading,
  h2.sm-heading,
  h3.sm-heading {
    margin-bottom: 2rem;
    padding: 0.2rem 1rem;
    background: rgba(81, 81, 81, 0.5); }

a {
  color: #fff;
  text-decoration: none; }
  a:hover {
    color: #eccd1f;
    transition: all 0.5s ease-out; }

header {
  position: fixed;
  z-index: 2;
  width: 100%; }

.text-secondary {
  color: #eccd1f; }

main {
  padding: 4rem;
  height: 100%;
  min-height: calc(100vh - 60px); }
  main .icons {
    margin-top: 1rem; }
    main .icons a {
      padding: 0.4rem; }
      main .icons a:hover {
        color: #eccd1f;
        transition: all 0.5s ease-out; }
  main#home {
    overflow: hidden; }
    main#home h1 {
      margin-top: 20vh; }

.about-info {
  display: grid;
  grid-gap: 30px;
  grid-template-areas: "bioimage bio bio" "techstack techstack techstack" "job1 job2 job3";
  grid-template-columns: repeat(3, 1fr); }
  .about-info .bio-image {
    grid-area: bioimage;
    margin: auto;
    border-radius: 50%;
    border: #eccd1f 3px solid; }
  .about-info .bio {
    grid-area: bio;
    font-size: 1.5rem; }
  .about-info .tech-stack {
    grid-area: techstack;
    text-align: center; }
    .about-info .tech-stack i {
      padding: 1.5rem;
      color: #c9c9c9; }
  .about-info .job-1 {
    grid-area: job1; }
  .about-info .job-2 {
    grid-area: job2; }
  .about-info .job-3 {
    grid-area: job3; }
  .about-info .job {
    background: #373737;
    padding: 0.5rem;
    border-bottom: #eccd1f 3px solid; }
    .about-info .job ul {
      list-style: none;
      text-align: left; }

.projects {
  display: grid;
  grid-gap: 0.7rem;
  grid-template-columns: repeat(3, 1fr); }
  .projects .item {
    opacity: 0.6;
    background: linear-gradient(#373737, #000);
    text-align: center; }
    .projects .item:hover {
      opacity: 1;
      transition: all 0.5s ease-out; }
    .projects .item p {
      color: #fff; }
    .projects .item h3,
    .projects .item h6 {
      margin-left: 1rem;
      margin-right: 1rem; }
  .projects img {
    width: 75%;
    border: #fff 2px solid;
    margin-top: 2rem; }

.boxes {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 5rem; }
  .boxes div {
    font-size: 2rem;
    border: #fff 3px solid;
    padding: 1.5rem 2.5rem;
    margin-bottom: 3rem;
    transition: all 0.5s ease-out; }
    .boxes div:hover {
      padding: 0.5rem 1.5rem;
      background: #eccd1f;
      color: #fff; }
      .boxes div:hover span {
        color: #333; }

.btn, .btn-light, .btn-dark {
  display: block;
  padding: 0.5rem 1rem;
  border: 0;
  margin-bottom: 0.3rem; }
  .btn:hover, .btn-light:hover, .btn-dark:hover {
    background: #eccd1f;
    color: #fff; }

.btn-light {
  background: #c4c4c4;
  color: #333; }

.btn-dark {
  background: black;
  color: #fff; }

#main-footer {
  text-align: center;
  padding: 1rem;
  background: #2b2b2b;
  color: #fff;
  height: 60px; }

@media screen and (min-width: 1171px) {
  .projects {
    grid-gap: 6rem;
    grid-template-columns: repeat(4, 1fr); } }

@media screen and (min-width: 769px) and (max-width: 1170px) {
  .projects {
    grid-gap: 2rem;
    grid-template-columns: repeat(3, 1fr); } }

@media screen and (max-width: 768px) {
  main {
    align-items: center;
    text-align: center; }
    main .lg-heading {
      line-height: 1;
      margin-bottom: 1rem; }
  ul.menu-nav,
  div.menu-branding {
    float: none;
    width: 100%;
    min-height: 0; }
    ul.menu-nav.show,
    div.menu-branding.show {
      transform: translate3d(0, 0, 0); }
  .menu-nav {
    height: 75vh;
    transform: translate3d(-100%, 0, 0);
    font-size: 24px; }
  .menu-branding {
    height: 25vh;
    transform: translate3d(100%, 0, 0); }
    .menu-branding .portrait {
      background: url(../img/evc_sm.png);
      width: 150px;
      height: 150px; }
  .about-info {
    grid-template-areas: "bioimage" "bio" "techstack" "job1" "job2" "job3";
    grid-template-columns: 1fr; }
  .projects {
    grid-template-columns: repeat(2, 1fr); }
  .boxes div {
    font-size: 1.5rem;
    padding: 0.5rem 1.5rem; }
    .boxes div:hover {
      padding: 0.1rem 0.5rem; } }

@media screen and (max-width: 500px) {
  main#home h1 {
    margin-top: 10vh; }
  .projects {
    grid-template-columns: 1fr; }
  main {
    padding: 4rem 2rem; }
    main .lg-heading {
      font-size: 3rem; }
    main .sm-heading {
      font-size: 1rem; } }
